summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorBrian Harring <ferringb@gentoo.org>2004-11-04 10:53:14 +0000
committerBrian Harring <ferringb@gentoo.org>2004-11-04 10:53:14 +0000
commitfb6f20068e8fd9dda309a571d5889329003c3b2d (patch)
tree26edea8f634606a9bdccda342c5571f17b10740f /eclass
parentFixed this up, added a patch for non-compilation, and fixed deps to depend on... (diff)
downloadhistorical-fb6f20068e8fd9dda309a571d5889329003c3b2d.tar.gz
historical-fb6f20068e8fd9dda309a571d5889329003c3b2d.tar.bz2
historical-fb6f20068e8fd9dda309a571d5889329003c3b2d.zip
don't disable the sandbox during depend phase.
It's just not nice.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/virtualx.eclass11
1 files changed, 9 insertions, 2 deletions
diff --git a/eclass/virtualx.eclass b/eclass/virtualx.eclass
index 1ed590ad84a3..1535ca5d4f85 100644
--- a/eclass/virtualx.eclass
+++ b/eclass/virtualx.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/virtualx.eclass,v 1.18 2004/10/19 19:51:12 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/virtualx.eclass,v 1.19 2004/11/04 10:53:14 ferringb Exp $
#
# Author: Martin Schlemmer <azarah@gentoo.org>
#
@@ -12,7 +12,14 @@ DEPEND="virtual/x11"
DESCRIPTION="Based on the $ECLASS eclass"
-[ -z "${SANDBOX_DISABLED}" ] && export SANDBOX_DISABLED="0" || :
+#
+# Brian Harring <ferringb@gentoo.org> 11/04/2004
+# do not disable the sandbox during the depend phase.
+# ebuilds shouldn't touch the fs during depend phase, nor screw with the sandbox.
+#
+if [ "${EBUILD_PHASE/depend}" == "${EBUILD_PHASE}" ]; then
+ [ -z "${SANDBOX_DISABLED}" ] && export SANDBOX_DISABLED="0" || :
+fi
virtualmake() {
local retval=0